Results 1 to 8 of 8

Thread: Kali Linux | Kernel Update | Couldn't find any package by regex 'linux-headers-*'

  1. #1
    Join Date
    2014-Nov
    Posts
    1

    Question Kali Linux | Kernel Update | Couldn't find any package by regex 'linux-headers-*'

    Hi Guys,

    I'm having some trouble while trying to get Kali Linux headers for Kernel 3.14, I tried fetching repository from official page its self, but no luck.
    can any one advise, and suggest me, where could be the problem.

    Here's the snapshot of what I'm not able to do.

    Cat'ing my sources:

    root@p0s1x:~# cat /etc/apt/sources.list
    #deb cdrom:[Debian GNU/Linux 7.0 _Kali_ - Official Snapshot i386 LIVE/INSTALL Binary 20140108-18:08]/ kali contrib main non-free
    #deb cdrom:[Debian GNU/Linux 7.0 _Kali_ - Official Snapshot i386 LIVE/INSTALL Binary 20140108-18:08]/ kali contrib main non-free

    ## Security updates
    deb http://security.kali.org/kali-security kali/updates main contrib non-free
    deb-src http://security.kali.org/kali-security kali/updates main contrib non-free
    deb http://http.kali.org/kali kali main non-free contrib
    deb-src http://http.kali.org/kali kali main non-free contrib

    #deb http://repo.kali.org/kali kali-bleeding-edge main
    #deb-src http://repo.kali.org/kali kali-bleeding-edge main


    While trying to download, the Linux headers, I'm getting this

    root@p0s1x:~# sudo apt-get install linux-headers-`uname -r`
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Unable to locate package linux-headers-3.12-kali1-686-pae
    E: Couldn't find any package by regex 'linux-headers-3.12-kali1-686-pae'

    my current version is

    root@p0s1x:~# uname -r
    3.12-kali1-686-pae


    Any help would be appreciated.

  2. #2
    Join Date
    2014-Feb
    Posts
    3
    Same problem here... I have been trying for days to sort this problem

  3. #3
    We only have the latest kernel source in the repo.
    At the time of writing this, its 3.14 (not 3.12).

    Code:
    root@kali-offsec ~$ apt-cache search linux-headers                                                                                                                              
    linux-headers-3.14-kali1-all - All header files for Linux 3.14 (meta-package)
    linux-headers-3.14-kali1-all-amd64 - All header files for Linux 3.14 (meta-package)
    linux-headers-3.14-kali1-amd64 - Header files for Linux 3.14-kali1-amd64
    linux-headers-3.14-kali1-common - Common header files for Linux 3.14-kali1
    linux-headers-3.14-kali1-common-rt - Common header files for Linux 3.14-kali1-rt
    linux-headers-3.14-kali1-rt-amd64 - Header files for Linux 3.14-kali1-rt-amd64
    linux-headers-amd64 - Header files for Linux amd64 configuration (meta-package)
    linux-headers-rt-amd64 - Header files for Linux rt-amd64 configuration (meta-package)
    linux-headers-3.14-kali1-486 - Header files for Linux 3.14-kali1-486
    linux-headers-3.14-kali1-686-pae - Header files for Linux 3.14-kali1-686-pae
    linux-headers-3.14-kali1-all-i386 - All header files for Linux 3.14 (meta-package)
    linux-headers-3.14-kali1-rt-686-pae - Header files for Linux 3.14-kali1-rt-686-pae
    linux-headers-486 - Header files for Linux 486 configuration (meta-package)
    linux-headers-686-pae - Header files for Linux 686-pae configuration (meta-package)
    linux-headers-rt-686-pae - Header files for Linux rt-686-pae configuration (meta-package)
    root@kali-offsec ~$
    This is a Kali-Linux support forum - not general IT/infosec help.

    Useful Commands: OS, Networking, Hardware, Wi-Fi
    Troubleshooting: Kali-Linux Installation, Repository, Wi-Fi Cards (Official Docs)
    Hardware: Recommended 802.11 Wireless Cards

    Documentation: http://docs.kali.org/ (Offline PDF version)
    Bugs Reporting & Tool Requests: https://bugs.kali.org/
    Kali Tool List, Versions & Man Pages: https://tools.kali.org/

  4. #4
    Join Date
    2013-Jun
    Posts
    113
    As usual g0tmi1k is correct. He's the janitor after all . Using Kali repo, there's no workaround ATM.

    For the OP, if you're really desperate to upgrade an older version of Kali (and cant download a new .ISO), you could add Debian repo, install the headers and immediately remove those Debian repo. Minor inconvenience.

    Saying that, I would assume might break something else which was the reason Kali dev team removed old kernel/headers from their repo. Possibly the upgrade path from an older (very old? i.e. 1.0.6 or so?) version to 1.0.9/1.0.9a is no supported.

  5. #5
    Join Date
    2015-Jan
    Posts
    13

    Janitor!!!!

    Quote Originally Posted by g0tmi1k View Post
    We only have the latest kernel source in the repo.
    At the time of writing this, its 3.14 (not 3.12).

    Code:
    root@kali-offsec ~$ apt-cache search linux-headers                                                                                                                              
    linux-headers-3.14-kali1-all - All header files for Linux 3.14 (meta-package)
    linux-headers-3.14-kali1-all-amd64 - All header files for Linux 3.14 (meta-package)
    linux-headers-3.14-kali1-amd64 - Header files for Linux 3.14-kali1-amd64
    linux-headers-3.14-kali1-common - Common header files for Linux 3.14-kali1
    linux-headers-3.14-kali1-common-rt - Common header files for Linux 3.14-kali1-rt
    linux-headers-3.14-kali1-rt-amd64 - Header files for Linux 3.14-kali1-rt-amd64
    linux-headers-amd64 - Header files for Linux amd64 configuration (meta-package)
    linux-headers-rt-amd64 - Header files for Linux rt-amd64 configuration (meta-package)
    linux-headers-3.14-kali1-486 - Header files for Linux 3.14-kali1-486
    linux-headers-3.14-kali1-686-pae - Header files for Linux 3.14-kali1-686-pae
    linux-headers-3.14-kali1-all-i386 - All header files for Linux 3.14 (meta-package)
    linux-headers-3.14-kali1-rt-686-pae - Header files for Linux 3.14-kali1-rt-686-pae
    linux-headers-486 - Header files for Linux 486 configuration (meta-package)
    linux-headers-686-pae - Header files for Linux 686-pae configuration (meta-package)
    linux-headers-rt-686-pae - Header files for Linux rt-686-pae configuration (meta-package)
    root@kali-offsec ~$
    Okay so looks like I am running into the exact same issue... currently we are at 3.18 headers...and Virtualbox is looking for 3.14...how do I get the 3.14 while I hold off updating until Virtualbox updates? OR how do I get Virtualboxes guest additions to look for 3.18 instead of 3.14?

    I also understand that I am not going to get support for Virtual Box here so any information you can help me with on Kali and VBox is welcomed. I am also willing to read forum post (RTF) if need be. I have searched this issue for a while a few hours now but willing to look more still.

  6. #6
    Quote Originally Posted by piratestatic29 View Post
    how do I get the 3.14 while I hold off updating until Virtualbox updates?.
    You can't.
    If you didn't download it when it was in the repo - you can't download it when its been replaced with the latest version.


    Quote Originally Posted by piratestatic29 View Post
    OR how do I get Virtualboxes guest additions to look for 3.18 instead of 3.14?.
    Upgrade the kernel, REBOOT (into the new kernel), installer headers. Then re-install Vbox additions.
    *cough* make a snapshot BEFORE doing anything as to backup *cough*.
    This is a Kali-Linux support forum - not general IT/infosec help.

    Useful Commands: OS, Networking, Hardware, Wi-Fi
    Troubleshooting: Kali-Linux Installation, Repository, Wi-Fi Cards (Official Docs)
    Hardware: Recommended 802.11 Wireless Cards

    Documentation: http://docs.kali.org/ (Offline PDF version)
    Bugs Reporting & Tool Requests: https://bugs.kali.org/
    Kali Tool List, Versions & Man Pages: https://tools.kali.org/

  7. #7
    Join Date
    2015-Jan
    Posts
    13
    Quote Originally Posted by g0tmi1k View Post
    *cough* make a snapshot BEFORE doing anything as to backup *cough*.
    luckily this is just a fresh install, I had it working in the past but during an exercise, some files got wiped off my hard drive so this is a start over for me.

    So the verdict that worked for me
    Code:
    apt-get dist-upgrade
    which upgraded the kernal and then I did just as g0tmi1k suggested.

  8. #8
    Join Date
    2015-Dec
    Posts
    4
    Hi,
    I am not able to get linux-headers-3.18.0-kali3-686-pae installed on linux kali sana after the updarde as follow:
    - my source list as follow
    Code:
     
    deb http://http.kali.org/kali sana main non-free contrib
    deb http://security.kali.org/kali-security sana/updates main contrib non-free
    deb-src http://http.kali.org/kali sana main non-free contrib
    deb-src http://security.kali.org/kali-security sana/updates main contrib non-free
    - I run the following to update using the following command
    Code:
    apt-get update
    apt-get upgrade
    apt-get dist-upgrade
    - I run the following command to install linux header as follow:
    Code:
    apt-get install linux-headers-3.18.0-kali3-686-pae
    and it gives me an error as follow:
    Code:
    E: Unable to locate the package linux-headers-3.18.0-kali3-686-pae
    - I run the following command
    Code:
    apt-get install linux-headers-$(uname -r)
    and it gives me the same error.

    then I notice that during the update is looking into i386 packages and not not amd64 packages as follow:
    Code:
    ...
    Hit http://http.kali.org sana/updates/nonfree i386 Packages
    ....
    Then I check my system as follow:
    Code:
    uname -a
    and it gives me the following:
    Code:
    Linux kalitool 3.18.0-kali3-686-pae #1 SMP Debian 3.18.6-1~kali2 (2015-03-02) i686 GNU/Linux
    which indicate that my system is i686 and I am not sure why my update is looking into i368 and so cant find the required linux headers
    Please help.

Similar Threads

  1. Replies: 2
    Last Post: 2015-07-09, 20:24

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •